curl --request GET \
--url https://apigcp.trynia.ai/v2/contexts/search \
--header 'Authorization: Bearer <token>'{
"contexts": [
{
"id": "<string>",
"user_id": "<string>",
"organization_id": "<string>",
"title": "<string>",
"summary": "<string>",
"content": "<string>",
"tags": [
"<string>"
],
"agent_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"nia_references": {
"indexed_repositories": [
"<string>"
],
"indexed_documentation": [
"<string>"
],
"queried_repositories": [
"<string>"
],
"queried_documentation": [
"<string>"
],
"web_searches": [
"<string>"
],
"deep_research_queries": [
"<string>"
]
},
"edited_files": [
{
"file_path": "<string>",
"operation": "created",
"lines_added": 123,
"lines_removed": 123,
"language": "<string>"
}
]
}
],
"search_query": "<string>",
"total_results": 123
}Search conversation contexts by content, title, summary, or tags using MongoDB text search. This is a simpler, faster alternative to semantic search for exact matches.
curl --request GET \
--url https://apigcp.trynia.ai/v2/contexts/search \
--header 'Authorization: Bearer <token>'{
"contexts": [
{
"id": "<string>",
"user_id": "<string>",
"organization_id": "<string>",
"title": "<string>",
"summary": "<string>",
"content": "<string>",
"tags": [
"<string>"
],
"agent_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"nia_references": {
"indexed_repositories": [
"<string>"
],
"indexed_documentation": [
"<string>"
],
"queried_repositories": [
"<string>"
],
"queried_documentation": [
"<string>"
],
"web_searches": [
"<string>"
],
"deep_research_queries": [
"<string>"
]
},
"edited_files": [
{
"file_path": "<string>",
"operation": "created",
"lines_added": 123,
"lines_removed": 123,
"language": "<string>"
}
]
}
],
"search_query": "<string>",
"total_results": 123
}API key must be provided in the Authorization header
Search query
1Maximum number of results
1 <= x <= 100Comma-separated tags to filter by
Filter by agent source
Search completed successfully
Show child attributes
Unique identifier for the context
User who created the context
Organization ID if context belongs to an organization
Context title
Context summary
Full context content
Source agent (e.g., "cursor", "claude-code")
When the context was created
When the context was last updated
References to NIA resources used during the conversation
Show child attributes
List of repository identifiers that were indexed
List of documentation source identifiers
Repositories that were queried
Documentation sources that were queried
Web search queries performed
Deep research queries performed
Show child attributes
Path to the edited file
Type of operation performed on the file
created, modified, deleted Number of lines added (for created/modified operations)
Number of lines removed (for modified/deleted operations)
Programming language of the file
Was this page helpful?